# Trust Developers

## Trust Developers

- [Get Started](https://developer.trustwallet.com/developer/readme.md)
- [Trust Wallet Agent SDK](https://developer.trustwallet.com/developer/agent-sdk.md)
- [Quickstart](https://developer.trustwallet.com/developer/agent-sdk/quickstart.md)
- [CLI Reference](https://developer.trustwallet.com/developer/agent-sdk/cli-reference.md)
- [Authentication](https://developer.trustwallet.com/developer/agent-sdk/authentication.md)
- [Key Management](https://developer.trustwallet.com/developer/agent-sdk/key-management.md)
- [TrustConnect SDK](https://developer.trustwallet.com/developer/trustconnect.md)
- [Quickstart](https://developer.trustwallet.com/developer/trustconnect/quickstart.md)
- [Modal & Connection Management](https://developer.trustwallet.com/developer/trustconnect/modal-and-connections.md)
- [EVM (EIP-155)](https://developer.trustwallet.com/developer/trustconnect/evm.md)
- [Solana](https://developer.trustwallet.com/developer/trustconnect/solana.md)
- [Bitcoin (BIP-122)](https://developer.trustwallet.com/developer/trustconnect/bitcoin.md)
- [Theming & Customization](https://developer.trustwallet.com/developer/trustconnect/theming.md)
- [MCP Servers](https://developer.trustwallet.com/developer/mcp.md)
- [Docs MCP](https://developer.trustwallet.com/developer/mcp/docs-mcp.md)
- [API Gateway MCP](https://developer.trustwallet.com/developer/mcp/api-gateway.md)
- [Agent Skills](https://developer.trustwallet.com/developer/claude-code-skills.md)
- [Developing for Trust Wallet platform](https://developer.trustwallet.com/developer/develop-for-trust.md)
- [Browser Extension](https://developer.trustwallet.com/developer/develop-for-trust/browser-extension.md)
- [Ethereum & EVM chains](https://developer.trustwallet.com/developer/develop-for-trust/browser-extension/evm.md)
- [Mobile (WalletConnect)](https://developer.trustwallet.com/developer/develop-for-trust/mobile.md)
- [Deep Linking](https://developer.trustwallet.com/developer/develop-for-trust/deeplinking.md)
- [Listing new dApps](https://developer.trustwallet.com/developer/listing-guide.md)
- [Optimizing your dApp for Trust Wallet](https://developer.trustwallet.com/developer/listing-guide/mobile-optimize.md)
- [Debugging](https://developer.trustwallet.com/developer/listing-guide/debugging.md)
- [Listing new assets](https://developer.trustwallet.com/developer/new-asset.md)
- [Requirements](https://developer.trustwallet.com/developer/new-asset/requirements.md)
- [Pull Request Fee](https://developer.trustwallet.com/developer/new-asset/pr-fee.md)
- [FAQ](https://developer.trustwallet.com/developer/new-asset/faq.md)
- [Repository Details](https://developer.trustwallet.com/developer/new-asset/repository_details.md)
- [Staking Validators](https://developer.trustwallet.com/developer/new-asset/staking-validator.md)
- [Universal Asset ID](https://developer.trustwallet.com/developer/new-asset/universal_asset_id.md)
- [Wallet Core](https://developer.trustwallet.com/developer/wallet-core.md)
- [New Blockchain Support](https://developer.trustwallet.com/developer/wallet-core/newblockchain.md)
- [RPC / API Requirements](https://developer.trustwallet.com/developer/wallet-core/newblockchain/rpc-requirements.md)
- [New EVM-compatible chain](https://developer.trustwallet.com/developer/wallet-core/newblockchain/newevmchain.md)
- [Developing the Library](https://developer.trustwallet.com/developer/wallet-core/developing-the-library.md)
- [Contributing](https://developer.trustwallet.com/developer/wallet-core/developing-the-library/contributing.md)
- [Building](https://developer.trustwallet.com/developer/wallet-core/developing-the-library/building.md)
- [WalletConsole utility](https://developer.trustwallet.com/developer/wallet-core/developing-the-library/walletconsole.md)
- [Coverage](https://developer.trustwallet.com/developer/wallet-core/developing-the-library/coverage.md)
- [Releasing](https://developer.trustwallet.com/developer/wallet-core/developing-the-library/releasing.md)
- [Integration Guide](https://developer.trustwallet.com/developer/wallet-core/integration-guide.md)
- [Usage Guide](https://developer.trustwallet.com/developer/wallet-core/integration-guide/wallet-core-usage.md)
- [iOS Integration Guide](https://developer.trustwallet.com/developer/wallet-core/integration-guide/ios-guide.md)
- [Android Integration Guide](https://developer.trustwallet.com/developer/wallet-core/integration-guide/android-guide.md)
- [Server-Side](https://developer.trustwallet.com/developer/wallet-core/integration-guide/server-side.md)
- [References](https://developer.trustwallet.com/developer/wallet-core/references.md)
- [FAQ](https://developer.trustwallet.com/developer/wallet-core/faq.md)
- [Barz - Smart Wallet](https://developer.trustwallet.com/developer/barz-smart-wallet.md)
- [Introducing Barz. TrustWallet's Smart Wallet Solution](https://developer.trustwallet.com/developer/barz-smart-wallet/introducing-barz-trustwallet-smart-wallet-solution.md)
- [Cutting Diamonds: How to make Accounts Awesome](https://developer.trustwallet.com/developer/barz-smart-wallet/cutting-diamonds-how-to-make-accounts-awesome.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on a page URL with the `ask` query parameter:
```
GET https://developer.trustwallet.com/developer/readme.md?ask=<question>
```
The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
